Name:		flexdock
Version:	1.2.4
Release:	%mkrel 13
Summary:	Swing windowing and docking framework
Group:		Development/Java

#Licence is MIT on their website
License:	MIT
URL:		http://forge.scilab.org/index.php/p/flexdock/

Source0:	http://forge.scilab.org/index.php/p/flexdock/downloads/get/%{name}-%{version}.tar.gz

#Removes the java media framework from the demos to satisfy reqs
Patch1:		flexdock-0001-nojmf.patch
#Modifies the build process  -- fedora specific
Patch2:		flexdock-0002-fedora-build.patch
#Set javac source and target version to 1.8 to fix builds with Java 11
Patch3:		flexdock-0003-java-1.8.patch

BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	jgoodies-common
BuildRequires:	jgoodies-looks
BuildRequires:	skinlf

Requires:       java
Requires:       jpackage-utils
Requires:       jgoodies-common
Requires:       jgoodies-looks
Requires:       skinlf

BuildArch:      noarch

%description
FlexDock is a Java docking framework for use in cross-platform
Swing applications.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1

#Override the build file's default hard-coded paths
echo "sdk.home=%{java_home}" > workingcopy.properties

#JAR "dependency" handling
find ./ -name \*.jar -exec rm {} \;
build-jar-repository -s -p lib skinlf jgoodies-looks jgoodies-common

#Remove the jmf-using demo files
rm src/java/demo/org/flexdock/demos/raw/jmf/MediaPanel.java
rm src/java/demo/org/flexdock/demos/raw/jmf/JMFDemo.java

#Endline convert Doc files
for i in "LICENSE.txt README release-notes.txt" ;
do
    %{__sed} -i 's/\r//' $i
done

%build
ant jar

%install
mkdir -p %{buildroot}%{_javadir}
install -pm644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc LICENSE.txt README release-notes.txt
%{_javadir}/*


%changelog
* Mon Sep 07 2020 daviddavid <daviddavid> 1.2.4-13.mga8
+ Revision: 1623102
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11
- clean spec file synced with fc33

* Tue Feb 11 2020 umeabot <umeabot> 1.2.4-12.mga8
+ Revision: 1489801
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.4-11.mga7
+ Revision: 1260965
- Mageia 7 Mass Rebuild

* Tue Apr 04 2017 akien <akien> 1.2.4-10.mga6
+ Revision: 1095888
- Rebuild without fmj dependency (obsoleted)

* Fri Feb 26 2016 daviddavid <daviddavid> 1.2.4-9.mga6
+ Revision: 979635
- add BR on java-devel to fix build

* Sat Dec 26 2015 daviddavid <daviddavid> 1.2.4-8.mga6
+ Revision: 915348
- s/jakarta/apache/ (jakarta is long since dead)

* Wed Sep 16 2015 tv <tv> 1.2.4-7.mga6
+ Revision: 879759
- make it buildarch thus really fixing empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 1.2.4-6.mga6
+ Revision: 874924
- Fix build with new rpm ( empty debuginfo)

* Wed Nov 05 2014 tv <tv> 1.2.4-5.mga5
+ Revision: 795705
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 751202
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 541465
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 grenoya <grenoya> 1.2.4-1.mga4
+ Revision: 494919
- new version 1.2.4

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 350521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 1.2.1-1.mga3
+ Revision: 344308
- new version 1.2.1

* Sat Nov 12 2011 grenoya <grenoya> 0.5.4-1.mga2
+ Revision: 166945
- new version 0.5.4

* Sat Mar 05 2011 grenoya <grenoya> 0.5.2-3.mga1
+ Revision: 64835
- imported package flexdock


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.5.2-3mdv2011.0
+ Revision: 640434
- rebuild to obsolete old packages

* Thu Feb 03 2011 Funda Wang <fwang@mandriva.org> 0.5.2-2
+ Revision: 635429
- x11 is not needed

* Fri Jan 21 2011 Paulo Andrade <pcpa@mandriva.com.br> 0.5.2-1
+ Revision: 632072
- Update to version 0.5.2.

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-0.0.4mdv2011.0
+ Revision: 618307
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.5.1-0.0.3mdv2010.0
+ Revision: 437556
- rebuild

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-0.0.2mdv2009.1
+ Revision: 300960
- fix group
- use %%java_home macro
- correct buildrequires
- adapt spec file for mdv

  + Alexander Kurtakov <akurtakov@mandriva.org>
    - import flexdock


